# &kde;-Benutzerhandbuch

Waldo
Bastian

    bastian@kde.org

Dawit
Alemayehu

    adawit@kde.org

2008-10-14
0.01.01
kcookiejar4
8

# `kcookiejar4`

&kde;-HTTP-Cookie-Dienst

## Synopsis

    kcookiejar4 --help Generic-options Qt-options KDE-options --shutdown --remove domain --remove-all --reload-config

## Beschreibung

`kcookiejar4` bearbeitet HTTP-Cookies und stellt eine D-Bus-Schnittstelle zur Verfügung, mit der Cookies gespeichert, angefordert und entfernt werden können.

## Allgemeine Optionen

`--author`

  Zeigt Informationen über den Autor.

`--help`

  Hilfe zu verfügbaren Optionen anzeigen.

`--help-all`

  Alle Optionen anzeigen

`--help-kde`

  Spezielle Optionen für KDE anzeigen

`--help-qt`

  Spezielle Optionen für Qt anzeigen

`--license`

  Lizenz-Informationen anzeigen

`-v``--version`

  Versionsinformation anzeigen

## Anwendungsoptionen

`--shutdown`

  Beendet den Cookie-Dienst und die D-Bus-Schnittstelle.

`--remove` `domain`

  Entfernt Cookies für die Domain `domain` aus dem Speicher.

`--remove-all`

  Entfernt alle Cookies aus dem Speicher.

`--reaload-config`

  Lädt die Einrichtungsdatei erneut.

## Benutzung

Der KDE-Webbrowser `konqueror` verwendet `kcookiejar4` zum Speichern und Verwalten von Cookies über die D-Bus-Schnittstelle von `kcookiejar4`.

Wenn `kcookiejar4` ohne Parameter gestartet wird, stellt es einfach nur eine D-Bus-Schnittstelle zur Verwaltung von HTTP-Cookies zur Verfügung.

Wenn `kcookiejar4` mit einigen Parametern aufgerufen wird, werden auch weitere Funktionen für den Zugriff auf den Cookie-Speicher zur Verfügung gestellt. So zum Beispiel das Entfernen von Cookies aus einer bestimmten `domain`.

## Siehe auch

kdeoptions(7), qtoptions(7)

## Fehler

Berichten Sie Fehler auf bugs.kde.org.